%if !0%{?python3_next_pkgversion}
%global py3_pkg %{python3_pkgversion}
%else
%global py3_pkg %{python3_next_pkgversion}
%endif

%if "%{srcname}-loader-python%{py3_pkg}" != "%{srcname}-loader-python3"
%global pkgname %{srcname}-loader-python%{py3_pkg}
%else
%global pkgname %{srcname}-loader-python3000
%endif

%global apiver 1.0
%global srcname libpeas


Name:           %{srcname}-loader-python3
Version:        1.20.0
Release:        1%{?dist}
Summary:        Python 3 loader for %{srcname}

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Libpeas
Source0:        https://download.gnome.org/sources/%{srcname}/1.20/%{srcname}-%{version}.tar.xz

BuildRequires:  chrpath
BuildRequires:  gcc
BuildRequires:  intltool
BuildRequires:  make
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gladeui-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  python%{py3_pkg}-devel

%description
This package contains the Python 3 loader that is needed to
run Python 3 plugins that use %{srcname}.


%package -n %{pkgname}
Summary:        Python %{py3_pkg} loader for libpeas

Requires:       %{srcname}%{?_isa} = %{version}
Requires:       python%{py3_pkg}-gobject%{?_isa}

%description -n %{pkgname}
This package contains the Python %{py3_pkg} loader that is needed to
run Python %{py3_pkg} plugins that use %{srcname}.


%prep
%autosetup -n %{srcname}-%{version}


%build
%configure --disable-silent-rules
%make_build


%install
%make_install

# We only want the Python3 loader, so keep it in a safe place.
mkdir -p tmp
cp -p %{buildroot}%{_libdir}/%{srcname}-%{apiver}/loaders/libpython3loader.so tmp

# Clean the buildroot and put the loader back in place.
rm -fr %{buildroot}
mkdir -p %{buildroot}%{_libdir}/%{srcname}-%{apiver}/loaders
cp -p tmp/libpython3loader.so %{buildroot}%{_libdir}/%{srcname}-%{apiver}/loaders

# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
chrpath --delete %{buildroot}%{_libdir}/%{srcname}-%{apiver}/loaders/libpython3loader.so


%files -n %{pkgname}
%{_libdir}/%{srcname}-%{apiver}/loaders/libpython3loader.so


%changelog
* Fri Nov 17 2017 Björn Esser <besser82@fedoraproject.org> - 1.20.0-1
- Initial rpm release for EPEL7 (rhbz#1514458)
